Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

ezworkflowgroup.php
Go to the documentation of this file.
1 <?php
17 class eZWorkflowGroup extends eZPersistentObject
18 {
19 static function definition()
20 {
21 return array( "fields" => array( "id" => array( 'name' => 'ID',
22 'datatype' => 'integer',
23 'default' => 0,
24 'required' => true ),
25 "name" => array( 'name' => "Name",
26 'datatype' => 'string',
27 'default' => '',
28 'required' => true,
29 'max_length' => 255 ),
30 "creator_id" => array( 'name' => "CreatorID",
31 'datatype' => 'integer',
32 'default' => 0,
33 'required' => true,
34 'foreign_class' => 'eZUser',
35 'foreign_attribute' => 'contentobject_id',
36 'multiplicity' => '1..*' ),
37 "modifier_id" => array( 'name' => "ModifierID",
38 'datatype' => 'integer',
39 'default' => 0,
40 'required' => true,
41 'foreign_class' => 'eZUser',
42 'foreign_attribute' => 'contentobject_id',
43 'multiplicity' => '1..*' ),
44 "created" => array( 'name' => "Created",
45 'datatype' => 'integer',
46 'default' => 0,
47 'required' => true ),
48 "modified" => array( 'name' => "Modified",
49 'datatype' => 'integer',
50 'default' => 0,
51 'required' => true ) ),
52 "keys" => array( "id" ),
53 'function_attributes' => array( 'creator' => 'creator',
54 'modifier' => 'modifier' ),
55 "increment_key" => "id",
56 "class_name" => "eZWorkflowGroup",
57 "sort" => array( "name" => "asc" ),
58 "name" => "ezworkflow_group" );
59 }
60
61 static function create( $user_id )
62 {
63 $date_time = time();
64 $row = array(
65 "id" => null,
66 "name" => "",
67 "creator_id" => $user_id,
68 "modifier_id" => $user_id,
69 "created" => $date_time,
70 "modified" => $date_time );
71 return new eZWorkflowGroup( $row );
72 }
73
74 static function fetch( $id, $asObject = true )
75 {
76 return eZPersistentObject::fetchObject( eZWorkflowGroup::definition(),
77 null,
78 array( "id" => $id ),
79 $asObject );
80 }
81
82 static function fetchList( $asObject = true )
83 {
84 return eZPersistentObject::fetchObjectList( eZWorkflowGroup::definition(),
85 null, null, null, null,
86 $asObject );
87 }
88
93 static function removeSelected ( $id )
94 {
95 eZPersistentObject::removeObject( eZWorkflowGroup::definition(),
96 array( "id" => $id ) );
97 }
98
99 function creator()
100 {
101 if ( isset( $this->CreatorID ) and $this->CreatorID )
102 {
103 return eZUser::fetch( $this->CreatorID );
104 }
105 return null;
106 }
107
108 function modifier()
109 {
110 if ( isset( $this->ModifierID ) and $this->ModifierID )
111 {
112 return eZUser::fetch( $this->ModifierID );
113 }
114 return null;
115 }
116
118 public $ID;
119 public $Name;
120 public $CreatorID;
121 public $ModifierID;
122 public $Created;
123 public $Modified;
124 }
125
126 ?>
eZPersistentObject
Definition: ezpersistentobject.php:33
eZPersistentObject\fetchObject
static fetchObject( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
Definition: ezpersistentobject.php:213
eZPersistentObject\removeObject
static removeObject( $def, $conditions=null, $extraConditions=null)
Definition: ezpersistentobject.php:271
eZPersistentObject\fetchObjectList
static fetchObjectList( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
Definition: ezpersistentobject.php:806
eZUser\fetch
static fetch( $id, $asObject=true)
Definition: ezuser.php:351
eZWorkflowGroup
Handles grouping of workflows.
Definition: ezworkflowgroup.php:18
eZWorkflowGroup\create
static create( $user_id)
Definition: ezworkflowgroup.php:61
eZWorkflowGroup\removeSelected
static removeSelected( $id)
Definition: ezworkflowgroup.php:93
eZWorkflowGroup\fetchList
static fetchList( $asObject=true)
Definition: ezworkflowgroup.php:82
eZWorkflowGroup\$ModifierID
$ModifierID
Definition: ezworkflowgroup.php:121
eZWorkflowGroup\creator
creator()
Definition: ezworkflowgroup.php:99
eZWorkflowGroup\modifier
modifier()
Definition: ezworkflowgroup.php:108
eZWorkflowGroup\definition
static definition()
Definition: ezworkflowgroup.php:19
eZWorkflowGroup\$Name
$Name
Definition: ezworkflowgroup.php:119
eZWorkflowGroup\$ID
$ID
Definition: ezworkflowgroup.php:118
eZWorkflowGroup\$Created
$Created
Definition: ezworkflowgroup.php:122
eZWorkflowGroup\$Modified
$Modified
Definition: ezworkflowgroup.php:123
eZWorkflowGroup\$CreatorID
$CreatorID
Definition: ezworkflowgroup.php:120
eZWorkflowGroup\fetch
static fetch( $id, $asObject=true)
Definition: ezworkflowgroup.php:74
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.